import {Author, Book, DamageLogger, Librarian} from './interfaces';

class UniversityLibrarian implements Librarian {
  department: string;
  email: string;
  name: string;

  assistCustomer(custName: string): void {
    console.log(`${this.name} is assisting ${custName}.`);
  }
}

class ReferenceItem {
  static department = 'Research';
  private _publisher: string;

  constructor(public title: string, private year: number) {
  }

  printItem(): void {
    console.log(`${this.title} was published in ${this.year}`);
    console.log(`Department: ${ReferenceItem.department}.`);
  }

  get publisher(): string {
    return this._publisher.toUpperCase();
  }

  set publisher(p: string) {
    this._publisher = p;
  }
}

export { ReferenceItem, UniversityLibrarian };
